### Method

# Tsparql SparqlConnection update_resource_async

since: 3.1

#### Declaration [src]

    void
    tracker_sparql_connection_update_resource_async (
      TrackerSparqlConnection* connection,
      const gchar* graph,
      TrackerResource* resource,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Inserts asynchronously a resource as described by `resource` on the given `graph`.

It is recommented to consider the usage of `TrackerBatch` to cluster database updates. Frequent isolated SPARQL updates through this method will have a degraded performance in comparison.

Available since: 3.1

This method completes asynchronously. Use `tracker_sparql_connection_update_resource_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`graph`

  Type: `const gchar*`

  RDF graph where the resource should be inserted/updated, or `NULL` for the default graph.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`resource`

  Type: `TrackerResource`

  A `TrackerResource`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.